<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" <?php language_attributes(); ?>>
<head profile="http://gmpg.org/xfn/11">
<meta http-equiv="Content-Type" content="<?php bloginfo('html_type'); ?>; charset=<?php bloginfo('charset'); ?>" />
<title><?php wp_title('&laquo;', true, 'right'); ?> <?php bloginfo('name'); ?></title>

<link rel="stylesheet" href="<?php bloginfo('stylesheet_url'); ?>" type="text/css" media="screen" />
<link rel="pingback" href="<?php bloginfo('pingback_url'); ?>" />
<link rel="alternate" type="application/rss+xml" title="RSS Feed" href="<?php bloginfo('atom_url'); ?>" />

<?php
// Check for uploaded favicon, otherwise use default
if (is_file(italicsmile_get_upload_dir().'/'.get_option('italicsmile_file_favicon')))
	$favicon = italicsmile_get_upload_dir('url').'/'.get_option('italicsmile_file_favicon');
else
	$favicon = get_bloginfo('template_directory').'/favicon.ico';
?> 
<link rel="shortcut icon" href="<?php echo $favicon; ?>" type="image/x-icon" />

<script type="text/javascript" src="http://ajax.googleapis.com/ajax/libs/jquery/1.3.2/jquery.min.js"></script>

<link rel="stylesheet" href="<?php bloginfo('stylesheet_directory'); ?>/colorbox/colorbox.css" type="text/css" media="screen" />
<script type="text/javascript" src="<?php bloginfo('stylesheet_directory'); ?>/colorbox/jquery.colorbox-min.js"></script>
<script type="text/javascript"> /* <![CDATA[ */
	jQuery(document).ready(function($){
		$(".gallery").each(function(index, obj){
			$(obj).find("a").colorbox({rel:$(obj).attr("id"), maxWidth:"100%", maxHeight:"100%"});
		});
		//$("a.enlarge").colorbox({rel:$(this).attr("id"), maxWidth:"100%", maxHeight:"100%"});
		
		$("a").filter(function(){
			//return($(this).find('img').length); // find out if anchor contents is an image
			return $(this).attr('href').match(/\.(?:jpe?g|gif|png)\b/i); // find out if anchor link is an image
		}).colorbox({rel:$(this).attr("id"), maxWidth:"100%", maxHeight:"100%"});
		
		var searchTextDefault = "<?php echo get_option('italicsmile_search'); ?>";
		var searchedText = "<?php echo esc_html($_REQUEST['s']); ?>";
		var searchBox = $("#s");
		var searchBoxMain = $("#content .s");
		var searchReplace = "";
		if (searchedText != "") searchReplace = searchedText;
		else searchReplace = searchTextDefault;
		searchBox.attr("value", searchReplace);
		searchBoxMain.attr("value", searchReplace);
		searchBoxMain.focus(searchFocus);
		searchBoxMain.blur(searchBlur);searchBox.focus(searchFocus);
		searchBox.blur(searchBlur);
		function searchFocus(){ $(this).addClass("active"); if($(this).attr("value") == searchTextDefault) $(this).attr("value", ""); };
		function searchBlur(){ $(this).removeClass("active"); if($(this).attr("value") == "") $(this).attr("value", searchTextDefault); };
		searchBoxMain.focus();
	});
/* ]]> */ </script>

<?php wp_head(); ?>
<?php if ( is_singular() ) wp_enqueue_script( 'comment-reply' ); // adds reply to comment javascript ?>

</head>
<body>

<div class="wrapper">

	<div id="header">
		<h1><a href="<?php echo get_option('home'); ?>/"><?php bloginfo('name'); ?></a></h1>
		<div id="toptext"><?php bloginfo('description'); ?></div>
		<div id="topsearch"><?php include (TEMPLATEPATH . '/searchform.php'); ?></div>
	</div>