<?php get_header(); ?>

<div id="main" class="clearfix">
	<div id="content">
		<?php if (have_posts()) : while (have_posts()) : the_post(); ?>      
		<div class="post" id="post-<?php the_ID(); ?>">
			<div class="entry"><div class="clearfix">
				<h2><?php the_title(); ?></h2>
				<div class="postmetadata"><?php the_tags('Tags: ', ', ', '<br />'); ?> Posted under <?php the_category(', ') ?> by <a href="<?php the_author_url(); ?>"><?php the_author(); ?></a> on <?php the_time('F jS, Y') ?></div>
				<?php the_content(); ?>
				<?php wp_link_pages(array('before' => '<p><strong>Pages:</strong> ', 'after' => '</p>', 'next_or_number' => 'number')); ?>
				<?php edit_post_link('Edit this post &raquo; ', '<p class="edit">', '</p>'); ?>
			</div></div>
		</div>
		<?php comments_template(); ?>
	
		<?php endwhile; else: ?>
		<p>Sorry, no posts matched your criteria.</p>
		<?php endif; ?>
	</div>
	
<?php get_sidebar(); ?>

</div>

<?php get_footer(); ?>